using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LZBS.DAL;
using LZBS.Model;
using LZBS.Common;
using System.Data;

namespace LZBS.BLL
{
    public class B_Recruit
    {
        D_Recruit dal = new D_Recruit();
        /// <summary>
        /// 添加招聘信息
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public int Addrecruit(M_Recruit model)
        {
            return dal.Addrecruit(model);
        }
        /// <summary>
        /// 获取招聘信息
        /// </summary>
        /// <returns></returns>
        public DataTable GetRecruitInfo()
        {
            return dal.GetRecruitInfo();
        }
        /// <summary>
        /// 根据招聘信息编号删除
        /// </summary>
        /// <param name="model"></param>
        public int DeleteRecruit(M_Recruit model)
        {
            return dal.DeleteRecruit(model);
        }
        /// <summary>
        /// 根据招聘信息编号获取详细信息
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public DataRow GetRecruitInfoByRecruitID(M_Recruit model)
        {
            return dal.GetRecruitInfoByRecruitID(model);
        }
        /// <summary>
        /// 修改招聘信息
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public int UpdateRecruit(M_Recruit model)
        {
            return dal.UpdateRecruit(model);
        }
    }
}
